30 lines
760 B
Python
30 lines
760 B
Python
# Shell thickness
|
|
shell_t = 3.5
|
|
|
|
# width, length VISIBLE WITHIN THE BEZEL
|
|
screen_w = 223
|
|
screen_l = 57
|
|
# Distance from the left of the case to screen cutout
|
|
bezel_left = 7 # (7 is bezel width on that side)
|
|
bezel_right = 3
|
|
# width, length, height INCLUDING_BEZEL
|
|
display_w = 233
|
|
display_l = 65
|
|
# This is the general height without the board, that's handled separately
|
|
display_h = 5
|
|
|
|
width = shell_t + bezel_left + screen_w + bezel_right + shell_t
|
|
height = display_h + 2 * shell_t + 1
|
|
length = display_l + 2 * shell_t + 1
|
|
fillet_s = 2
|
|
|
|
|
|
# Distance from the top of the case to display top
|
|
display_top_margin = (length - display_l) / 2
|
|
display_bottom_margin = display_top_margin # Symmetrical
|
|
|
|
|
|
# Threaded insert hole dimensions
|
|
ti_radius = 2.35
|
|
ti_depth = 6.5
|